/* ------------------------------------------------------------ */
/* CSS that allows to show the ticks when using ranges.
/* Taken from https://stackoverflow.com/questions/26612700/ticks-for-type-range-html-input/26613443#26613443
/* ------------------------------------------------------------ */
input[type="range"] {
    width: 100%;
    margin: 0;
    box-sizing: border-box;
}

datalist {
    display: flex;
    width: 100%;
    justify-content: space-between;
    margin-top: -16px;
    padding-top: 0px;
}

option {
    width: 2ex;
    display: flex;
    justify-content: center;
    height: 42px;
    align-items: end;
    /* background-image: url(tick.png); */
    height: 4ex;
    background-position-y: -15px;
    background-position-x: center;
    z-index: -1;
}

/* ------------------------------------------------------------ */
/* CSS in case javascript is disabled
/* ------------------------------------------------------------ */
#div_noscript {
    text-align: center;
}

#div_script {
    display: none;
}

/* ------------------------------------------------------------ */
/* CSS for login window
/* ------------------------------------------------------------ */
#div_login {
    margin-top: 100px;
    margin-left: auto;
    margin-right: auto;
    padding: 10px;
    width: 400px;
    height: 300px;
    border: solid blue 2px;
}
#div_login h1 {
    text-align: center;
}

.label_login {
    display: inline-block;
    width: 120px;
}
.input_login {
    width: 250px;
}

.button_login {
    display: flex;
    width: 100%;
    margin-left: 125px;
    margin-top: 10px;
    margin-bottom: 10px;
/*    justify-content: center; */
/*    align-items: center; */
}

#process_login {
    width: 100px;
}

/* ------------------------------------------------------------ */
/* CSS for create account window
/* ------------------------------------------------------------ */
#div_create_account {
    margin-top: 100px;
    margin-left: auto;
    margin-right: auto;
    padding: 10px;
    width: 400px;
    height: 400px;
    border: solid blue 2px;
}
#div_create_account h1 {
    text-align: center;
}
.label_create_account {
    display: inline-block;
    width: 120px;
}
.input_create_account {
    width: 250px;
}

.button_create_account {
    display: flex;
    width: 100%;
    margin-left: 125px;
    margin-top: 10px;
    margin-bottom: 10px;
/*    justify-content: center; */
/*    align-items: center; */
}

#process_create_account {
    width: 80px;
}

#div_create_result {
    margin-top: 10px;
}

/* ------------------------------------------------------------ */
/* Start of menu css on index page
/* ------------------------------------------------------------ */
 /* Dropdown Button */
.dropbtn {
    background-color: #3498DB;
    color: white;
    padding: 4px 8px;
    font-size: 16px;
    border: none;
    cursor: pointer;
}

/* Dropdown button on hover & focus */
.dropbtn:hover, .dropbtn:focus {
  background-color: #2980B9;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
  position: relative;
  display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
    display: none;
    position: absolute;
    left: -250px;
    width: 298.5px;
    padding: 12px 4px;
    background-color: #ebebeb;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content p {
    background-color: #dedede;
    padding: 2px 6px;
    margin: 2px 0px 16px 0px;
}
.dropdown-content span {
    color: #AA65FF;
}
/* Links inside the dropdown */
.dropdown-content a {
    color: black;
    padding: 4px 6px;
    text-decoration: none;
    display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {background-color: #ddd}

/* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
.show {
    display:block;
}

/* Div containing the menu items */
#topMenu {
    word-break: break-all;
}

/* ------------------------------------------------------------ */
/* Start of general css
/* ------------------------------------------------------------ */
.text_red {
    font-weight: bold;
    color: red;
}

#div_main {
    display: flex;
}

#div_top_btns {
    display: inline;
}

#div_top_menu {
    float: right;
}

#div_img {
    flex-basis: 1100px;
    width: 1100px;
    margin-top: 10px;
    margin-right: 10px;
/*    border: solid red 1px; */
}

#div_annotation_1 {
/*    border: solid blue 1px; */
    flex-basis: 209px;
    min-width: 209px;
    margin-right: 10px;
}

#div_annotation_2 {
    border-left: solid black 1px;
    padding-left: 10px;
}

.span_space {
    margin-right: 40px;
}

.span_small_space {
    margin-right: 8px;
}

.span_nb {
    margin-right: 20px;
}

.span_hor {
    display: block;
/*    border: solid 1px blue; */
    height: 10px;
}

.class_fmri_candidate {
    display: none;
}

.icon_info {
    position: relative;
    top: 2px;
    cursor: grab;
    height: 15px;
}
.icon_info:active {
    cursor: grabbing;
}

.div_info {
    display: none;
    position: absolute;
    width: 550px;
    background-color: antiquewhite;
    border: 1px solid #3498DB;
    z-index: 1;
}

.disabled {
    background-color: #DDD;
    color: #999;
}